# Microservice for signing electronic documents

A Rest api based API for signing pdf documents. 
[Posten signing service](https://signering-docs.readthedocs.io/en/latest/index.html) is used to create digital signing 
of pdf documents i PAdES format 
- 
- `/healthz` Health check 
- `/create` Create new signing request for a pdf file 
- `/status` Get the status of the signing job that is already started
- `/document` Get the signed document

Flowchart for this integration
![](doc/flow-chart.png)
Screendump of environment variables in Intellij
![](doc/env-illustrasjon.png)

[Edit Flowchart](https://mermaid.live/edit#pako:eNqVlM-OmzAQxl9l5NNWTbV3DiuB2qqr_gkKzQ1p5cUT6gI2HQ9brSLeq_e-WO2YFGjSSuUEzO_7bM83cBSVVSgS4fDbgKbC11rWJLvSgL96Sawr3UvDsAfpIKOhQbospqFYID3pCj_Z75dAFoCPuiHLX9E4xkukOHno2iBpU7vAoQfT_P4Km6_h3hLLFk0k96_u7tJkKoOyzdChF8Vi6otZAtu-J2QG99vD9r0iWSeQb4vPCdxWhJIRjoHYhe44HiePbO1xXqGXTYMzUfxjlcmoiEY7VJqw8k3efYCXwLZBswHHkgf34Fem54eB2tk5_T9JOPL-umRuWJEviMdTzsC6_WuTi3wSZdI09yqZwUV9uVFv9igbjKYefDqNykIHh6FtDz9_EM8HCedYbHQV4bsQagRjaHAbn3xmf_ThiuG4CqpGLiYtuJm8LoVxlV6s32zfv5gtIczf6f0OfeOMw9XW426VrU5zszzbFG8cmHm0zuqY5Ntzo-bm3XjSry82okPqpFb-mz4GVSn4C3ZYisTfKklNKUozem7olZ_vN0qzJZEcZOtwI-TAtng2lUiYBjxD009hosZfh31soA)

[Solution pruposal](https://studntnu.sharepoint.com/:f:/r/sites/o365_Dataflyt/Shared%20Documents/General/ntnu-sak/eSignering?csf=1&web=1&e=2frdOi)

Environment variables can be set (in Intellij) as seen in the screendump.
- `SECRET_CA_FILE_PATH` -path to valid ca file
- `SECRET_CA_FILE_PASSWORD` -password for valid ca file
- `SECRET_AUTH_PASSWORD` -choose an auth password
- `SECRET_JWT_CREATION_INPUT` -base64 encoding

To run unit tests: 
```
source env.bash  
./gradlew test
```

To run integration tests:
```
# Update src/integrationTest/resource/env.bash file with valid ca file (in PKCS12 format) and password
source src/integrationTest/resource/env.bash

./gradlew test
```

To run microservice:
```
# Update src/integrationTest/resource/env.bash file with valid ca file (in PKCS12 format) and password
source src/main/resource/env.bash

./gradlew bootRun
```
browser: http://localhost:8080/edu-sign/api/hello

