package no.edu.esign;

/**
 * Util for open default browser with given url
 * Got from: https://mkyong.com/java/open-browser-in-java-windows-or-linux/
 */
public class BrowserUtil {

    public static void open(final String url) {
        String os = System.getProperty("os.name").toLowerCase();
        Runtime rt = Runtime.getRuntime();
        try {
            if (os.contains("win")) {
                // this doesn't support showing urls in the form of "page.html#nameLink"
                rt.exec("rundll32 url.dll,FileProtocolHandler " + url);
            } else if (os.contains("mac")) {
                rt.exec("open " + url);
            } else if (os.contains("nix") || os.contains("nux")) {
                // Do a best guess on unix until we get a platform independent way
                // Build a list of browsers to try, in this order.
                String[] browsers = {"epiphany", "firefox", "mozilla", "konqueror",
                        "netscape", "opera", "links", "lynx"};
                // Build a command string which looks like "browser1 "url" || browser2 "url" ||..."
                StringBuffer cmd = new StringBuffer();
                for (int i = 0; i < browsers.length; i++)
                    cmd.append((i == 0 ? "" : " || ") + browsers[i] + " \"" + url + "\" ");
                rt.exec(new String[]{"sh", "-c", cmd.toString()});
            } else {
                throw new RuntimeException("Could not open browser, not supported os: " + os);
            }
        } catch (Exception e) {
            throw new RuntimeException("Could not open browser", e);
        }
    }
}
