package no.edu.esign;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.core.env.Environment;

@EnableAutoConfiguration
@SpringBootApplication
public class SignApplication {
	private static final Logger log = LoggerFactory.getLogger(SignApplication.class);

	public static void main(String[] args) {
		SpringApplication.run(SignApplication.class, args);
	}

	@Bean
	ApplicationRunner applicationRunner(Environment env) {
		log.info("Properties loaded:\n" + ConfigLoader.CONFIG_LOADED_LOG);
		return args -> {
			log.info("ApplicationRunner applicationRunner - ARGS: " + args);
		};
	}

	@Bean
	public CommandLineRunner demo() {
		return (args) -> {
			log.info("Hello from CommandLineRunner demo()");
		};
	}
}
