package no.edu.esign.model.identity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ToString(exclude = {"secret"})
@Builder
public class AccessTokenRequest {
    @NotBlank
    @JsonProperty("client")
    private String client;
    @NotBlank
    @JsonProperty("client_secret")
    private String secret;
    @NotBlank
    @JsonProperty("scope")
    private String scope;

    public AccessTokenRequest() {
    }

    public AccessTokenRequest(String scope, String client, String secret) {
        this.scope = scope;
        this.client = client;
        this.secret = secret;
    }
}
