package no.edu.esign.model.identity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ToString(exclude = {"accessToken"})
@Builder
public class AccessTokenResponse {
    @NotBlank
    @JsonProperty("access_token")
    private String accessToken;
    @Min(1000)
    @JsonProperty("expires_in")
    private int expiresInMillis;
    @NotBlank
    @JsonProperty("token_type")
    private String tokenType;

    public AccessTokenResponse(String accessToken, int expiresInMillis, String tokenType) {
        this.accessToken = accessToken;
        this.expiresInMillis = expiresInMillis;
        this.tokenType = tokenType;
    }
}
