package no.edu.esign.model.sign;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.List;

@Getter
@Setter
@ToString
@Builder
public class SignResponse {
    @NotBlank
    @JsonProperty("SignatureJobId")
    String signatureJobId;
    @NotBlank
    @JsonProperty("StatusQueryURL")
    String statusQueryUrl;
    @Size(min = 1, max = 10)
    @JsonProperty("SignersDetails")
    List<SignerDetail> signersDetails; // to be used to request new redirectURL

    // used by jackson
    public SignResponse() {
    }

    public SignResponse(String signatureJobId, String statusQueryUrl, List<SignerDetail> signersDetails) {
        this.signatureJobId = signatureJobId;
        this.statusQueryUrl = statusQueryUrl;
        this.signersDetails = signersDetails;
    }
}