package no.edu.esign.model.sign;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Getter
@Setter
@ToString
public class SignerDetail {
    @NotNull(message = "nin should consist of  11 characters")
    @Size(min = 11, max = 11)
    @JsonProperty("Nin")
    String nin;
    @NotBlank
    @JsonProperty("SignersRef")
    String signersRef;
    @NotBlank
    @JsonProperty("RedirectURL")
    String redirectUrl;

    public SignerDetail(String nin, String signersRef, String redirectUrl) {
        this.nin = nin;
        this.signersRef = signersRef;
        this.redirectUrl = redirectUrl;
    }
}