package no.edu.esign.model.sign;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import no.digipost.signature.client.direct.DirectJobStatus;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Getter
@Setter
@ToString
@Builder
public class StatusResponse {
    @NotNull
    @JsonProperty("Status")
    private DirectJobStatus status;
    @NotBlank
    @JsonProperty("ConfirmationUrl")
    private String confirmationUrl;
    @NotBlank
    @JsonProperty("PadesUrl")
    private String padesUrl;

    public StatusResponse() {
    }

    public StatusResponse(DirectJobStatus status, String confirmationUrl, String padesUrl) {
        this.status = status;
        this.confirmationUrl = confirmationUrl;
        this.padesUrl = padesUrl;
    }

}
