package no.edu.esign.util;

import org.apache.commons.codec.Resources;
import org.apache.commons.codec.binary.Base64;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class FileUtil {
    private static final Logger logger = LoggerFactory.getLogger(FileUtil.class);

    public static byte[] getPdfDocAsBytes(String fileName) {
        InputStream pdfFile = Resources.getInputStream(fileName);
        byte[] pdfBytes;
        try {
            pdfBytes= pdfFile.readAllBytes();
        } catch (IOException e) {
            throw new IllegalArgumentException(String.format("Cant read pdf file: %s",fileName), e);
        }
        return pdfBytes;
    }
    public static File base64ToPdf(String base64String, String fileName) {
        File file = new File(fileName);
        try (FileOutputStream fos = new FileOutputStream(file)) {
            byte[] decoder = Base64.decodeBase64(String.valueOf(base64String));
            fos.write(decoder);
            logger.info("PDF saved: "+ file.getAbsolutePath());
            return file;
        } catch (Exception e) {
            throw new RuntimeException("Could not write to pdf file", e);
        }
    }
}
