package no.edu.esign;

import no.digipost.signature.client.ClientConfiguration;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;


@ActiveProfiles("dev")
@SpringBootTest(classes = SignerService.class)
class SignerServiceTest {

    @Autowired
    private SignerService signerService;

    @Test
    void getClientConfiguration() {
        String ORGANIZATION_NR_NTNU = "974767880";
        ClientConfiguration clientConfig = signerService.getClientConfiguration();

        assertNotNull(clientConfig);
        assertNotNull(clientConfig.getKeyStoreConfig());
        //noinspection OptionalGetWithoutIsPresent
        assertEquals(ORGANIZATION_NR_NTNU, clientConfig.getGlobalSender().get().getOrganizationNumber());
    }

}